Requires read_location access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20261201/locations/:id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get a location for a store
Path Parameters
  • id string required
    Location unique number
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • locationobject
    Location information
  • province_code string
    Province code
    Example: 2400011
  • is_default string
    Default location
  • phone_code string
    Phone number international district
    Example: 0010
  • name string
    Location name
    Example: Ottawa Store
  • id string
    Location unique number
    Example: 5668167071852661850
  • province string
    Province name
    Example: Ontario
  • phone string
    Telephone number
    Example: 18883290139
  • address2 string
    Detailed address 2, optional
    Example: Unit 42
  • created_at string
    Location created time ( format see IOS8601 )
    Example: 2021-08-16T08:27:57+00:00
  • legacy boolean
    Whether a fulfillment service location or not
    Example: true
  • country_code string
    National code
    Example: CA
  • zip string
    Postal code
    Example: A1B 2C3
  • address1 string
    Detailed address 1
    Example: 126 York Street
  • active boolean
    Whether the location is enabled
    Example: true
  • updated_at string
    Location update time ( format see IOS8601 )
    Example: 2021-08-16T08:27:57+00:00
  • country string
    Country Name
    Example: Canada
  • city string
    City name
    Example: Ottawa
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

path required
header required

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/locations/id.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Was this article helpful to you?